Create a new coin on the Pump.fun platform
curl --request POST \
--url https://frontend-api-v3.pump.fun/coins/create \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"twitter": "<string>",
"telegram": "<string>",
"website": "<string>",
"file": "<string>",
"showName": true
}
'{
"mint": "<string>",
"metadata_uri": "<string>",
"bonding_curve": "<string>",
"associated_bonding_curve": "<string>",
"signature": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/BankkRoll/pumpfun-apis/llms.txt
Use this file to discover all available pages before exploring further.
POST https://frontend-api-v3.pump.fun/coins/create
Authorization: Bearer <your_token>
application/json with the following structure:
curl -X POST "https://frontend-api-v3.pump.fun/coins/create" \
-H "Authorization: Bearer <your_token>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "My Awesome Coin",
"symbol": "MAC",
"description": "A revolutionary new token on Pump.fun",
"twitter": "@myawesomecoin",
"telegram": "https://t.me/myawesomecoin",
"website": "https://myawesomecoin.com",
"showName": true
}'
{
"mint": "7GCihgDB8fe6KNjn2MYtkzZcRjQy3t9GHdC8uHYmW2hr",
"metadata_uri": "https://cf-ipfs.com/ipfs/QmXxX...",
"bonding_curve": "8mRW9kPq3LnY5tHgF2vX9cB7wU6rS4jK3mN8oP1qR2s",
"associated_bonding_curve": "9nXY8lMp4KoH6sGfD3wA0dC9xV7tU5kL4nO9qS2rT3u",
"signature": "5wZ8..."
}
file parameter:
@username or https://twitter.com/usernamehttps://t.me/groupnamecurl --request POST \
--url https://frontend-api-v3.pump.fun/coins/create \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"twitter": "<string>",
"telegram": "<string>",
"website": "<string>",
"file": "<string>",
"showName": true
}
'{
"mint": "<string>",
"metadata_uri": "<string>",
"bonding_curve": "<string>",
"associated_bonding_curve": "<string>",
"signature": "<string>"
}